# Generated from dwarves-0.1.1.gem by gem2rpm -*- rpm-spec -*-
%global gem_name dwarves

Name: rubygem-%{gem_name}
Version: 0.1.1
Release: 1%{?dist}
Summary: DWARF parser (only the .debug_info section for now)
License: MIT
URL: https://github.com/jethrodaniel/dwarves
Source0: https://rubygems.org/gems/%{gem_name}-%{version}.gem
BuildRequires: ruby(release)
BuildRequires: rubygems-devel
BuildRequires: ruby >= 2.3.0
# BuildRequires: rubygem(minitest-reporters) >= 1.3
# BuildRequires: rubygem(minitest-reporters) < 2
# BuildRequires: rubygem(pry) >= 0.12.2
# BuildRequires: rubygem(pry) < 0.13
# BuildRequires: rubygem(pry-byebug) >= 3.7
# BuildRequires: rubygem(pry-byebug) < 4
# BuildRequires: rubygem(pry-doc) >= 1.0
# BuildRequires: rubygem(pry-doc) < 2
# BuildRequires: rubygem(rubocop) >= 0.72.0
# BuildRequires: rubygem(rubocop) < 0.73
# BuildRequires: rubygem(redcarpet) >= 3.4
# BuildRequires: rubygem(redcarpet) < 4
BuildArch: noarch

%description
DWARF parser (only the .debug_info section for now).


%package doc
Summary: Documentation for %{name}
Requires: %{name} = %{version}-%{release}
BuildArch: noarch

%description doc
Documentation for %{name}.

%prep
%setup -q -n %{gem_name}-%{version}

%build
# Create the gem as gem install only works on a gem file
gem build ../%{gem_name}-%{version}.gemspec

# %%gem_install compiles any C extensions and installs the gem into ./%%gem_dir
# by default, so that we can move it into the buildroot in %%install
%gem_install

%install
mkdir -p %{buildroot}%{gem_dir}
cp -a .%{gem_dir}/* \
        %{buildroot}%{gem_dir}/


mkdir -p %{buildroot}%{_bindir}
cp -a .%{_bindir}/* \
        %{buildroot}%{_bindir}/

find %{buildroot}%{gem_instdir}/exe -type f | xargs chmod a+x

%check
pushd .%{gem_instdir}
# Run the test suite.
popd

%files
%dir %{gem_instdir}
%{_bindir}/dwarves
%{gem_instdir}/.github
%exclude %{gem_instdir}/.gitignore
%exclude %{gem_instdir}/.rubocop.yml
%{gem_instdir}/.ruby-version
%exclude %{gem_instdir}/.travis.yml
%exclude %{gem_instdir}/.yardopts
%license %{gem_instdir}/LICENSE.txt
%{gem_instdir}/bin
%{gem_instdir}/exe
%{gem_instdir}/gems.rb
%{gem_libdir}
%exclude %{gem_cache}
%{gem_spec}

%files doc
%doc %{gem_docdir}
%doc %{gem_instdir}/README.md
%{gem_instdir}/dwarves.gemspec
%{gem_instdir}/rakefile.rb

%changelog
* Mon Sep 13 2021 mockbuilder - 0.1.1-1
- Initial package
